Meta: Remove unused and outdated lint-missing-resources.sh lint

This was apparently never used by anyone except me, and currently
fails silently.

The script originally allowed easy inspection of potentially missing
resources, but that seems no longer useful. Even after restoring the
script to a working state, I found nothing with it.

A somewhat usable version might be available at
https://github.com/BenWiederhake/serenity/tree/historic/lint-missing-resources.sh

However, there seems to be no interest in the script, so it is better to
remove it.
This commit is contained in:
Ben Wiederhake 2022-09-12 23:11:54 +02:00 committed by Brian Gianforcaro
parent 93b8e76133
commit 005cd4e456
2 changed files with 3 additions and 23 deletions

View file

@ -28,11 +28,11 @@ for cmd in \
Meta/check-png-sizes.sh \
Meta/check-style.py \
Meta/lint-executable-resources.sh \
Meta/lint-keymaps.py \
Meta/lint-shell-scripts.sh \
Meta/lint-gml-format.sh \
Meta/lint-keymaps.py \
Meta/lint-prettier.sh \
Meta/lint-python.sh; do
Meta/lint-python.sh \
Meta/lint-shell-scripts.sh; do
echo "Running ${cmd}... "
if "${cmd}" "$@"; then
echo -e "[${GREEN}OK${NC}]: ${cmd}"
@ -76,7 +76,6 @@ if [ "$ports" = true ]; then
fi
fi
echo "(Not running lint-missing-resources.sh due to high false-positive rate.)"
echo "(Also look out for check-symbols.sh, which can only be executed after the build!)"
exit "${FAILURES}"

View file

@ -1,19 +0,0 @@
#!/usr/bin/env bash
set -eo pipefail
script_path=$(cd -P -- "$(dirname -- "$0")" && pwd -P)
cd "$script_path/.."
# The dollar symbol in sed's argument is for "end of line", not any shell variable.
# shellcheck disable=SC2016
grep -Eirh '(?<!file://)(?<!\.)(?<!})(?<!\()/(etc|res|usr|www)/' AK/ Base DevTools/ Documentation/ Kernel/ Services/ Userland/ | \
sed -re 's,^.*["= `]/([^"%`: ]+[^"%`: /.])/?(["%`: .].*)?$,\1,' | \
sort -u | \
while read -r referenced_resource
do
if ! [ -r "Base/${referenced_resource}" ] && ! [ -r "Build/Root/${referenced_resource}" ]
then
echo "Potentially missing resource: ${referenced_resource}"
fi
done